<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minWidth="1400dp"
        android:orientation="vertical"
        app:qmui_backgroundColor="@color/white"
        app:qmui_radius="@dimen/d_15">

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundFrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:qmui_backgroundColor="@color/colorPrimary"
            app:qmui_radiusTopLeft="@dimen/d_15"
            app:qmui_radiusTopRight="@dimen/d_15">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:padding="@dimen/d_28"
                android:text="访客详情"
                android:textColor="@color/white"
                android:textSize="@dimen/sp20"
                android:textStyle="bold" />
        </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundFrameLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_20"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <ImageView
                    android:id="@+id/statusImg"
                    android:layout_width="150dp"
                    android:layout_height="150dp"
                    android:layout_alignParentEnd="true"
                    android:layout_marginEnd="40dp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        style="@style/visitor_dialog_row"
                        android:gravity="center_vertical">

                        <View
                            android:layout_width="90dp"
                            android:layout_height="@dimen/d_20" />

                        <View
                            android:layout_width="4dp"
                            android:layout_height="@dimen/d_20"
                            android:background="@color/colorPrimary" />

                        <TextView
                            style="@style/leave_dialog_title"
                            android:paddingStart="6dp"
                            android:text="访客信息" />

                    </LinearLayout>

                    <LinearLayout style="@style/visitor_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="姓名电话" />

                        <TextView
                            android:id="@+id/userName"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华   18780170404" />
                    </LinearLayout>

                    <LinearLayout style="@style/visitor_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="身份信息" />

                        <TextView
                            android:id="@+id/id_card_num"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华   18780170404" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/face_layout"
                        style="@style/visitor_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="人脸信息" />

                        <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                            android:id="@+id/face_img"
                            android:layout_width="150dp"
                            android:layout_height="190dp"
                            android:text="颜小华"
                            app:qmui_border_color="@color/white"
                            app:qmui_corner_radius="@dimen/d_5" />

                        <TextView
                            android:id="@+id/face_empty"
                            android:layout_width="150dp"
                            android:layout_height="190dp"
                            android:background="@color/gray_2"
                            android:gravity="center"
                            android:text="未设置"
                            android:textColor="@color/white"
                            android:visibility="gone"
                            app:qmui_corner_radius="@dimen/d_5" />
                    </LinearLayout>

                    <!--                    <LinearLayout style="@style/visitor_dialog_row">-->

                    <!--                        <TextView-->
                    <!--                            style="@style/leave_dialog_title"-->
                    <!--                            android:layout_width="100dp"-->
                    <!--                            android:text="" />-->

                    <!--                        <LinearLayout-->
                    <!--                            android:layout_width="0dp"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_gravity="center_horizontal"-->
                    <!--                            android:layout_weight="1"-->
                    <!--                            android:orientation="vertical">-->

                    <!--                            <TextView-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="wrap_content"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="人脸"-->
                    <!--                                android:textSize="@dimen/sp20" />-->

                    <!--                            <com.qmuiteam.qmui.widget.QMUIRadiusImageView-->
                    <!--                                android:id="@+id/face_img"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:text="颜小华"-->
                    <!--                                app:qmui_border_color="@color/white"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->

                    <!--                            <TextView-->
                    <!--                                android:id="@+id/face_empty"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:background="@color/gray_2"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="未设置"-->
                    <!--                                android:textColor="@color/white"-->
                    <!--                                android:visibility="gone"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->
                    <!--                        </LinearLayout>-->

                    <!--                        <LinearLayout-->
                    <!--                            android:layout_width="0dp"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_marginStart="@dimen/d_20"-->
                    <!--                            android:layout_weight="1"-->
                    <!--                            android:gravity="center_horizontal"-->
                    <!--                            android:orientation="vertical">-->

                    <!--                            <TextView-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="wrap_content"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="健康码"-->
                    <!--                                android:textSize="@dimen/sp20" />-->

                    <!--                            <LinearLayout-->
                    <!--                                android:id="@+id/healthCodeStatusLayout"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:orientation="vertical">-->

                    <!--                                <TextView-->
                    <!--                                    android:id="@+id/healthCodeStatus"-->
                    <!--                                    android:layout_width="wrap_content"-->
                    <!--                                    android:layout_height="wrap_content"-->
                    <!--                                    android:text="状态：绿码"-->
                    <!--                                    android:textSize="@dimen/d_20" />-->

                    <!--                                <TextView-->
                    <!--                                    android:layout_width="wrap_content"-->
                    <!--                                    android:layout_height="wrap_content"-->
                    <!--                                    android:text="成都大数据中心提供"-->
                    <!--                                    android:textColor="@color/gray_1"-->
                    <!--                                    android:textSize="@dimen/d_15" />-->
                    <!--                            </LinearLayout>-->

                    <!--                            <com.qmuiteam.qmui.widget.QMUIRadiusImageView-->
                    <!--                                android:id="@+id/health_img"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:text="颜小华"-->
                    <!--                                app:qmui_border_color="@color/white"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->

                    <!--                            <TextView-->
                    <!--                                android:id="@+id/health_empty"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:background="@color/gray_2"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="未上传"-->
                    <!--                                android:textColor="@color/white"-->
                    <!--                                android:visibility="gone"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->
                    <!--                        </LinearLayout>-->

                    <!--                        <LinearLayout-->
                    <!--                            android:layout_width="0dp"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_marginStart="@dimen/d_20"-->
                    <!--                            android:layout_weight="1"-->
                    <!--                            android:gravity="center_horizontal"-->
                    <!--                            android:orientation="vertical">-->

                    <!--                            <TextView-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="wrap_content"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="行程码"-->
                    <!--                                android:textSize="@dimen/sp20" />-->

                    <!--                            <com.qmuiteam.qmui.widget.QMUIRadiusImageView-->
                    <!--                                android:id="@+id/trip_img"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:text="颜小华"-->
                    <!--                                app:qmui_border_color="@color/white"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->

                    <!--                            <TextView-->
                    <!--                                android:id="@+id/trip_empty"-->
                    <!--                                android:layout_width="108dp"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:background="@color/gray_2"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="未上传"-->
                    <!--                                android:textColor="@color/white"-->
                    <!--                                android:visibility="gone"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->
                    <!--                        </LinearLayout>-->

                    <!--                        <LinearLayout-->
                    <!--                            android:layout_width="0dp"-->
                    <!--                            android:layout_height="wrap_content"-->
                    <!--                            android:layout_marginStart="@dimen/d_20"-->
                    <!--                            android:layout_weight="1"-->
                    <!--                            android:orientation="vertical">-->

                    <!--                            <TextView-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="wrap_content"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="核酸报告"-->
                    <!--                                android:textSize="@dimen/sp20" />-->


                    <!--                            <com.qmuiteam.qmui.widget.QMUIRadiusImageView-->
                    <!--                                android:id="@+id/nuclein_img"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:text="颜小华"-->
                    <!--                                app:qmui_border_color="@color/white"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->

                    <!--                            <TextView-->
                    <!--                                android:id="@+id/nuclein_empty"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="190dp"-->
                    <!--                                android:background="@color/gray_2"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:text="未上传"-->
                    <!--                                android:textColor="@color/white"-->
                    <!--                                android:visibility="gone"-->
                    <!--                                app:qmui_corner_radius="@dimen/d_5" />-->

                    <!--                            <LinearLayout-->
                    <!--                                android:id="@+id/nucleinStatusLayout"-->
                    <!--                                android:layout_width="match_parent"-->
                    <!--                                android:layout_height="wrap_content"-->
                    <!--                                android:gravity="center"-->
                    <!--                                android:orientation="vertical">-->

                    <!--                                <TextView-->
                    <!--                                    android:id="@+id/nucleinStatus"-->
                    <!--                                    android:layout_width="wrap_content"-->
                    <!--                                    android:layout_height="wrap_content"-->
                    <!--                                    android:text="省内24小时：阴性"-->
                    <!--                                    android:textSize="@dimen/d_16" />-->

                    <!--                                <TextView-->
                    <!--                                    android:layout_width="wrap_content"-->
                    <!--                                    android:layout_height="wrap_content"-->
                    <!--                                    android:text="成都大数据中心提供"-->
                    <!--                                    android:textColor="@color/gray_1"-->
                    <!--                                    android:textSize="@dimen/d_15" />-->
                    <!--                            </LinearLayout>-->
                    <!--                        </LinearLayout>-->


                    <!--                    </LinearLayout>-->

                    <LinearLayout
                        style="@style/visitor_dialog_row"
                        android:gravity="center_vertical">

                        <View
                            android:layout_width="90dp"
                            android:layout_height="@dimen/d_20" />

                        <View
                            android:layout_width="4dp"
                            android:layout_height="@dimen/d_20"
                            android:background="@color/colorPrimary" />

                        <TextView
                            style="@style/leave_dialog_title"
                            android:paddingStart="6dp"
                            android:text="来访信息" />

                    </LinearLayout>

                    <LinearLayout style="@style/visitor_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="接待人" />

                        <TextView
                            android:id="@+id/reception_user"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华" />
                    </LinearLayout>

                    <LinearLayout style="@style/visitor_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="是否驾车" />

                        <TextView
                            android:id="@+id/is_drive"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华" />
                    </LinearLayout>

                    <LinearLayout style="@style/visitor_dialog_row">

                        <TextView
                            style="@style/leave_dialog_title"
                            android:text="来访事宜" />

                        <TextView
                            android:id="@+id/visit_reason"
                            style="@style/leave_dialog_left_content"
                            android:text="颜小华" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/carLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:visibility="gone">

                        <LinearLayout
                            style="@style/visitor_dialog_row"
                            android:gravity="center_vertical">

                            <View
                                android:layout_width="90dp"
                                android:layout_height="@dimen/d_20" />

                            <View
                                android:layout_width="4dp"
                                android:layout_height="@dimen/d_20"
                                android:background="@color/colorPrimary" />

                            <TextView
                                style="@style/leave_dialog_title"
                                android:paddingStart="6dp"
                                android:text="车辆信息" />

                        </LinearLayout>

                        <LinearLayout style="@style/visitor_dialog_row">

                            <TextView
                                style="@style/leave_dialog_title"
                                android:text="车牌号" />

                            <TextView
                                android:id="@+id/license_plate"
                                style="@style/leave_dialog_left_content"
                                android:textColor="@color/colorPrimary"
                                tools:text="2022年4月21日15:38:15" />
                        </LinearLayout>

                        <LinearLayout style="@style/visitor_dialog_row">

                            <TextView
                                style="@style/leave_dialog_title"
                                android:text="进出时间" />

                            <TextView
                                android:id="@+id/car_in_time"
                                style="@style/leave_dialog_left_content"
                                android:textColor="@color/colorPrimary"
                                tools:text="2022年4月21日15:38:15" />
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/doorLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:visibility="visible">

                        <LinearLayout
                            style="@style/visitor_dialog_row"
                            android:gravity="center_vertical">

                            <View
                                android:layout_width="90dp"
                                android:layout_height="@dimen/d_20" />

                            <View
                                android:layout_width="4dp"
                                android:layout_height="@dimen/d_20"
                                android:background="@color/colorPrimary" />

                            <TextView
                                style="@style/leave_dialog_title"
                                android:paddingStart="6dp"
                                android:text="进出信息" />

                        </LinearLayout>

                        <LinearLayout style="@style/visitor_dialog_row">

                            <TextView
                                style="@style/leave_dialog_title"
                                android:text="门禁状态" />

                            <TextView
                                android:id="@+id/audit_status_str"
                                style="@style/leave_dialog_left_content"
                                android:textColor="@color/colorPrimary"
                                tools:text="2022年4月21日15:38:15" />
                        </LinearLayout>

                        <LinearLayout style="@style/visitor_dialog_row">

                            <TextView
                                style="@style/leave_dialog_title"
                                android:text="可进出时间" />

                            <TextView
                                android:id="@+id/start_time"
                                style="@style/leave_dialog_left_content"
                                android:textColor="@color/colorPrimary"
                                tools:text="2022年4月21日15:38:15" />
                        </LinearLayout>
                    </LinearLayout>

                </LinearLayout>
            </RelativeLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="700dp"
                android:layout_marginStart="50dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingTop="@dimen/dp_40">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/stepRecycler"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:itemCount="4"
                    tools:listitem="@layout/layout_visitor_step" />
            </LinearLayout>
        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/closeBtn"
            android:layout_width="300dp"
            android:layout_height="80dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_40"
            android:layout_marginBottom="@dimen/d_20"
            android:padding="@dimen/d_10"
            android:text="关闭"
            android:textColor="@color/black"
            android:textSize="@dimen/sp20"
            app:qmui_borderColor="@color/gray"
            app:qmui_radius="@dimen/d_5" />
    </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>
</FrameLayout>